ActiveAdmin.register Bot do
  menu :priority => 4



  index do
    column :id
    column :botnick do |b|
      link_to b.botnick, "bots/" + b.id.to_s
    end
    column :owner
    column :activate
    column :created_at
    column :updated_at
    default_actions
  end


  show :title => :botnick do

    attributes_table do
      row :id
      row :botnick
      row :owner
      row :activate
      row :created_at
      row :updated_at
    end

    panel "This Bot's Channels" do
      table_for(bot.channels)  do
        column :name
        column :activate
      end
    end

    active_admin_comments

  end

  sidebar :help do
    ul do
      li "Owner: It is nice to read some contact infos like an email address in the owners field. To make life for spamcrawlers harder, use an obfuscation method for the address, like: foo {at] bar dot domain"
    end
  end


end
